Subject: draft-ietf-6man-default-iids-08

From: "weigengyu" <[email-masked]>
Date: Mon, 18 Jan 2016 16:17:14 +0800

Hi, 

I have a question about draft-ietf-6man-default-iids-08. 

Whether an IPv6 address of a host would be changed?
If it is, in what situations does the IPv6 address change? 

In Page 3 of the draft, 
“As a result of the aforementioned issues, this document recommends
the implementation of an alternative scheme ([RFC7217]) as the
default stable IID generation scheme for SLAAC, such that the
aforementioned issues are mitigated.”

In Page 7 of RFC7212, 
“Compute a random (but stable) identifier with the expression:
RID = F(Prefix, Net_Iface, Network_ID, DAD_Counter, secret_key)”

And in page 9 of RFC7252,
“2. The Interface Identifier is finally obtained by taking as many
bits from the RID value (computed in the previous step) as
necessary, starting from the least significant bit.” 

If a host which does not move is rebooted, whether its IPv6 address changes?
If a host move out and back, eg, leave home to go to an office in the morning and get back in the evening, 
whether its IPv6 address changes?   

Regards,

Gengyu WEI
Network Technology Center
School of Computer 
Beijing University of Posts and Telecommunications

---

From: Fernando Gont <[email-masked]>
Date: Wed, 20 Jan 2016 20:37:39 -0300

Hello, Gengyu,

> If it is, in what situations does the IPv6 address change?

When a node moves from one network to another. It will certainly change
when the Prefix used for auto-configuration changes, and may also change
if such prefix stays the same but the network (e.g, SSID) changes.

> If a host which does not move is rebooted, whether its IPv6 address changes?

It will not, since the secret_key will stay the same.

> whether its IPv6 address changes?  

It will not. That's one of the design goals of RFC7217.

Thanks!

Best regards,
-- 
Fernando Gont
SI6 Networks
e-mail: [email-masked]
PGP Fingerprint: 6666 31C6 D484 63B2 8FB1 E3C4 AE25 0D55 1D4E 7492

---

From: "weigengyu" <[email-masked]>
Date: Thu, 21 Jan 2016 23:17:31 +0800

Hi Fernando,

Thank you for your explanations.

My question is ralated to whether the secure key is changed.
In page 8 of RFC7212,
secret_key:
A secret key that is not known by the attacker. The secret
key SHOULD be of at least 128 bits. It MUST be initialized to
a pseudo-random number (see [RFC4086] for randomness
requirements for security) when the operating system is
installed or when the IPv6 protocol stack is "bootstrapped"
for the first time. An implementation MAY provide the means
for the system administrator to display and change the secret
key.

Based on the above descriptions, it seems that the secret key needs changing 
for randomness.
If  the secrete key is changge the new generate IPv6 address will be 
different.
The same problem has also been sent to RayH.

I gesst that each time the new generated IPv6 address is differen as RID is 
effected by F()  with a parameter of the secure key which is an randomness.

Regards,

Gengyu WEI
-----原始邮件----- 
From: Fernando Gont
Sent: Thursday, January 21, 2016 7:37 AM
To: weigengyu ; [email-masked]
Subject: Re: draft-ietf-6man-default-iids-08

Hello, Gengyu,

Thanks!

Best regards,

---

From: Fernando Gont <[email-masked]>
Date: Tue, 26 Jan 2016 02:46:57 -0300

Hi, Gengyu,

> My question is ralated to whether the secure key is changed.

No, it is not. The whole stability of the scheme depends on the key
remaining stable.

> Based on the above descriptions, it seems that the secret key needs
> changing for randomness.

No. It just needs to be random. Changing the key has nothing to do with
randomness.

> I gesst that each time the new generated IPv6 address is differen as RID
> is effected by F()  with a parameter of the secure key which is an
> randomness.

You set/initialize they secret key when you install the system. ANd
always keep the same value. -- no changes at all.

Thanks,
-- 
Fernando Gont
e-mail: [email-masked] || [email-masked]
PGP Fingerprint: 7809 84F5 322E 45C7 F1C9 3945 96EE A9EF D076 FFF1

---

From: "weigengyu" <[email-masked]>
Date: Tue, 26 Jan 2016 17:42:58 +0800

Hi Gont;

I want to make further clarification by the following questoins.

> always keep the same value. -- no changes at all.

It means that the secret key is intializazed by a peseudo random generator, 
and then it keeps no change at all after it is initialized.
Then the secret key becomes a constant, and the computer/node should 
remember it in order to keep it unchanged.
right?

I still question it, how long does the secret key keep unchanged?
There are not any words about it in the related RFCs.

The principle of security is based on RFC4086 "Randomness Requirements for 
Security".
It seems that gurrantting the key secure by RFC4076, the key as a ramdomness 
should be changed frequently.
Anything wrong?

Regards,

Gengyu WEI
-----原始邮件----- 
From: Fernando Gont
Sent: Tuesday, January 26, 2016 1:46 PM
To: weigengyu ; [email-masked]
Subject: Re: draft-ietf-6man-default-iids-08

Hi, Gengyu,

Thanks,

---

From: Fernando Gont <[email-masked]>
Date: Tue, 26 Jan 2016 07:10:52 -0300

On 01/26/2016 06:42 AM, weigengyu wrote:
> It means that the secret key is intializazed by a peseudo random
> generator, and then it keeps no change at all after it is initialized.

Yes.

> There are not any words about it in the related RFCs.

As long as you want addresses to remain stable. -- we never say you
should change it. And we note that the ability to view/manually set the
secret_key is so that if you e.g. reinstall the OS, you can manually set
the same key as before s that you get the same addresses.

> The principle of security is based on RFC4086 "Randomness Requirements
> for Security".
> It seems that gurrantting the key secure by RFC4076, the key as a
> ramdomness should be changed frequently.
> Anything wrong?

We reference RFC4086 to specify what we mean by random -- since if the
secret_key is not really random, you could argue that it could be known
or guessable. But that's it.

Yes, in general, you usually change change keys frequently. But not in
this case. Since the IIDs are generated as a result of a hash function,
if you change the secret_key you obviously change the IID/address.